<? $options = array(1 => __('yes'), 2 => __('no'), 3 => __('ocasionally')) ?>
<? $y_n_options = array(1 => __('yes'), 2 => __('no')) ?>

<!-- This will be visible -->
<div class="section-subtitle uppercase">
    <?= __('about-me') ?>
</div>



<div class="form-wrapper hash-sesction <?= ($this->escort->id) ?'escort-wrapper':'agency-wrapper' ?>" data-hash="about-me" data-scroll-anchor="about-me">
    <form class="form ajax-form" action="<?= $this->getLink('edit-profile')?>?step=about-me&escort=<?= $this->escort_id ?>"
        method="post">
        <input type="hidden" name="escort" value="<?= $this->escort_id ?>" />

        <div class="box-section inputs-container">
            <p class="text-grey"><?= __('pv2_tip_about_me') ?> <b class="text-dark">*</b> </p>
            <p class="text-grey"><?= __('pv2_about_me_warn', ['length' => 200]) ?></p>

            <p id="validation-about_me_text" class="text-danger m-0"></p>
            <div class="clear mb-10"></div>
            <div class="autocomplete-container flex-grow-1 unset-height" autocomplete="off">

                <div class="editor-container about-me-area" id="editor-container">
                    <div class="head">
                        <?
                            $langs = Cubix_I18n::getLangs(false);
                            $defaultLang = Cubix_Application::getDefaultLang();
    
                            foreach( $langs as $i => $lng ) {			
                                if ( $i == $defaultLang ) {				
                                    unset($langs[$i]);
                                    $langs = array($i => $lng) + $langs;
                                    break;
                                }
                            }
                        ?>
    
                        <ul class="nav nav-tabs">
                        <? foreach ( $langs as $id => $title ): ?> 
                                <li class="nav-item" cx:lng="<?= $id ?>" cx:lng_d="<?= strlen($this->data['about_' . $id]) ? 1 : 0 ?>">
                                    <a data-parent="#editor-container" class="nav-link custom <?= $id == $this->lang() ? 'active' : '' ?>" data-toggle="tab" href="#container-about-<?= $id ?>">
                                        <span class="flag-icon flag-icon-<?= $id?>"></span>
                                    </a>
                                </li>
                        <? endforeach; ?>
                        </ul>
    
                    </div>
                    <div class="body tab-content" >
                        <? foreach ( Cubix_I18n::getLangs(false) as $lng => $title ): ?>
                            <div class="tab-pane container <?= $lng == $this->lang() ? 'active show' : '' ?>" id="container-about-<?= $lng ?>">
                                <textarea class="tinymce-editor" id="about-<?= $lng ?>" name="about_<?= $lng ?>"><?=$this->data['about_' . $lng] ?></textarea>
                            </div>
                        <? endforeach ?>
                    </div>
                    <div class="d-flex justify-content-end">
                        <span class="nav-link custom">
                            <span id="mce-counter"> <?= strlen(trim(strip_tags($this->data['about_en']))) ?> </span>
                            <?= __('about_characters_written') ?> </span>
                    </div>
                </div>

            </div>

            <div class="d-flex div-2-cols">
                <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                    <div class="dropdown">
                        <select class="single-option-select d-none"  name="is_smoking">
                            <? foreach ( $options as $i => $opt ): ?>
                            <? if($i==$this->data['is_smoking']) $primary_is_smoking = $opt ?>
                                <option value="<?= $i ?>" <?=$i==$this->data['is_smoking'] ?
                                    'selected="selected"': '' ?>>
                                    <?= $opt ?>
                                </option>
                            <? endforeach; ?>
                        </select>
                        <a class="dropdown-toggle" id="smokingFilter" data-toggle="dropdown" aria-haspopup="true"
                            aria-expanded="false">
                            <label><?= __('pv2_label_smoking') ?></label>
                            <span class="dropdown-toggle-val uppercase"><?= $primary_is_smoking ? $primary_is_smoking : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="smokingFilter">
                            <? foreach ( $options as $i => $opt ): ?>
                                <li data-val="<?= $i ?>"><a href="javascript:void(0)"><?= $opt ?></a></li>
                            <? endforeach; ?>
                        </ul>
                    </div>
                </div>
                <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                    <div class="dropdown">
                        <select class="single-option-select d-none" name="is_drinking">
                            <? foreach ( $options as $i => $opt ): ?>
                            <? if($i==$this->data['is_drinking']) $primary_is_drinking = $opt ?>
                            <option value="<?= $i ?>" <?=$i==$this->data['is_drinking'] ?
                                'selected="selected"': '' ?>>
                                <?= $opt ?>
                            </option>
                            <? endforeach; ?>
                        </select>
                        <a class="dropdown-toggle" id="drinkingFilter" data-toggle="dropdown" aria-haspopup="true"
                            aria-expanded="false">
                            <label><?= __('pv2_label_drinking') ?></label>
                            <span class="dropdown-toggle-val uppercase"><?= $primary_is_drinking ? $primary_is_drinking : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="drinkingFilter">
                            <? foreach ( $options as $i => $opt ): ?>
                                <li data-val="<?= $i ?>"><a href="javascript:void(0)"><?= $opt ?></a></li>
                            <? endforeach; ?>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="d-flex div-2-cols">
                <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                    <div class="dropdown">
                        <select class="single-option-select d-none" name="tatoo">
                            <? foreach ( $y_n_options as $i => $opt ): ?>
                            <? if($i==$this->data['tatoo']) $primary_tatoo = $opt ?>
                                <option value="<?= $i ?>" <?=$i==$this->data['tatoo'] ? 'selected="selected"':
                                    '' ?>>
                                    <?= $opt ?>
                                </option>
                            <? endforeach; ?>
                        </select>
                        <a class="dropdown-toggle" id="tattooFilter" data-toggle="dropdown" aria-haspopup="true"
                            aria-expanded="false">
                            <label><?= __('tattoo') ?></label>
                            <span class="dropdown-toggle-val uppercase"><?= $primary_tatoo ? $primary_tatoo : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="tattooFilter">
                            <? foreach ( $y_n_options as $i => $opt ): ?>
                                <li data-val="<?= $i ?>"><a href="javascript:void(0)"><?= $opt ?></a></li>
                            <? endforeach; ?>
                        </ul>
                    </div>
                </div>
                <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                    <div class="dropdown">
                        <select class="single-option-select d-none" name="piercing">
                            <? foreach ( $y_n_options as $i => $opt ): ?>
                            <? if($i==$this->data['piercing']) $primary_piercing = $opt ?>
                                <option value="<?= $i ?>" <?=$i==$this->data['piercing'] ?
                                    'selected="selected"': '' ?>>
                                    <?= $opt ?>
                                </option>
                            <? endforeach; ?>
                        </select>
                        <a class="dropdown-toggle" id="piercingFilter" data-toggle="dropdown" aria-haspopup="true"
                            aria-expanded="false">
                            <label> <?= __('piercing') ?> </label>
                            <span class="dropdown-toggle-val uppercase"><?= $primary_piercing ? $primary_piercing : '<span class="nothing-selected">' . __('nothing_selected') . '</span>' ?></span>
                            <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="piercingFilter">
                            <? foreach ( $y_n_options as $i => $opt ): ?>
                                <li data-val="<?= $i ?>"><a href="javascript:void(0)"><?= $opt ?></a></li>
                            <? endforeach; ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-subtitle uppercase"><?= __('tell_us_more') ?></div>
        <div class="box-section inputs-container">
            <div class="d-flex div-2-cols">
                <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                    <input id="specialCharInput" class="alpha-numeric-only" maxlength="15" type="text" name="characteristics" value="<?= $this->data['characteristics'] ?>" placeholder="<?= __('pv2_label_special_characteristics') ?>">
                </div>
                <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                    <input id="cuisine" maxlength="15" class="alpha-numeric-only" type="text" name="cuisine" value="<?= $this->data['cuisine'] ?>" placeholder="Favorite Cuisine">
                </div>
            </div>
            <div class="d-flex div-2-cols">
                <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                    <input id="drink" name="drink" maxlength="15" class="alpha-numeric-only" value="<?= $this->data['drink'] ?>" placeholder="<?= __('favorite_drink') ?>">
                </div>
                <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                    <input id="flower" name="flower" class="alpha-numeric-only" maxlength="15" value="<?= $this->data['flower'] ?>" placeholder="<?= __('favorite_flower') ?>">
                </div>
            </div>
            <div class="d-flex div-2-cols">
                <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                    <input  id="perfume" name="perfume" class="alpha-numeric-only" maxlength="15" value="<?= $this->data['perfume'] ?>" placeholder="<?= __('favorite_perfume') ?>">
                </div>
                <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                    <input id="designer" name="designer" class="alpha-numeric-only" maxlength="15" value="<?= $this->data['designer'] ?>" placeholder="<?= __('favorite_designer') ?>">
                </div>
            </div>
            <div class="d-flex div-2-cols">
                <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                    <input id="interests" name="interests" class="alpha-numeric-only" maxlength="15" value="<?= $this->data['interests'] ?>"  placeholder="<?= __('interests') ?>">
                </div>
                <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                    <input id="sports" name="sports" class="alpha-numeric-only" maxlength="15" value="<?= $this->data['sports'] ?>" placeholder="<?= __('sports') ?>">
                </div>
            </div>
            <div class="d-flex div-2-cols">
                <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                    <input id="gifts" name="gifts" class="alpha-numeric-only" maxlength="15" value="<?= $this->data['gifts'] ?>" placeholder="<?= __('gifts') ?>">
                </div>
                <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                    <input id="hobbies" name="hobbies" class="alpha-numeric-only" maxlength="15" value="<?= $this->data['hobbies'] ?>" placeholder="<?= __('other_hobbies') ?>">
                </div>
            </div>
        </div>

        <div class="d-flex align-items-center bottom-actions-panel">
            <a class="uppercase text-grey mr-30 discard"><?= __('reset') ?></a>
            <button class="btn btn-big btn-brown btn-bold uppercase submit"><?= __('pv2_save_changes') ?></button>
        </div>
        <div class="clear mb-40"></div>

    </form>

</div>